Skip to main content
GET
/
plans
/
{plan_id}
/
migrations
/
{migration_id}
Fetch migration
curl --request GET \
  --url https://api.withorb.com/v1/plans/{plan_id}/migrations/{migration_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "plan_id": "<string>",
  "effective_time": "2023-12-25"
}

Documentation Index

Fetch the complete documentation index at: https://docs.withorb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

plan_id
string
required
migration_id
string
required

Response

OK

id
string
required

Unique identifier for this plan version change.

plan_id
string
required

The ID of the plan being migrated.

effective_time
required

When the migration takes effect. Can be a specific date/time, or 'end_of_term' when scheduled to be at the end of the current billing period.

status
enum<string>
required

Current status of the migration: 'not_started', 'in_progress', 'completed', 'action_needed', or 'canceled'.

Available options:
not_started,
in_progress,
completed,
action_needed,
canceled